Extending Qt Creator Manual | HighlighterSettingsPage

Extending Qt Creator Manual 4.5.2

# HighlighterSettingsPage Class

(TextEditor::HighlighterSettingsPage)

Inherits: | TextEditor::TextEditorOptionsPage

- List of all members, including inherited members

## Public Functions

| HighlighterSettingsPage(Core::Id id, QObject *parent)
| ~HighlighterSettingsPage()
const HighlighterSettings & | highlighterSettings() const

## Reimplemented Public Functions

virtual void | apply()
virtual void | finish()
virtual QWidget * | widget()

- 9 public functions inherited from Core::IOptionsPage

### Additional Inherited Members

- 5 protected functions inherited from Core::IOptionsPage

## Member Function Documentation

### HighlighterSettingsPage::HighlighterSettingsPage(Core::Id id, QObject *parent)

Default constructs an instance of HighlighterSettingsPage.

### HighlighterSettingsPage::~HighlighterSettingsPage()

Destroys the instance of HighlighterSettingsPage.

### `[virtual]` void HighlighterSettingsPage::apply()

### `[virtual]` void HighlighterSettingsPage::finish()

### const HighlighterSettings &HighlighterSettingsPage::highlighterSettings() const

### `[virtual]` QWidget *HighlighterSettingsPage::widget()